<?php
class ForumMemberProfile extends Page_Controller {
    function Member() {
        $member = null;
        if(is_numeric($this->urlParams['ID'])) {
            $member = DataObject::get_by_id('Member', $this->urlParams['ID']);
        } else {
            $member = Member::currentUser();
        }
        return $member;
    }

    function edit() {
        $form = $this->EditProfileForm()
            ? $this->EditProfileForm()
            : "<p class=\"error message\">" . _t('ForumMemberProfile.WRONGPERMISSION','You don\'t have the permission to edit that member.') . "</p>";
        return array(
            "Title" => "Forum",
            "Form" => $form,
        );
    }

    function EditProfileForm() {
        $member = $this->Member();
        $fields = $member->getForumFields();
        $form = new Form($this, 'EditProfileForm', $fields,
            new FieldSet(new FormAction("dosave", _t('ForumMemberProfile.SAVECHANGES','Save changes')))
        );
        $form->loadDataFrom($member);
        return $form;
    }


    function dosave($data, $form) {
        $member = Member::currentUser();
        $form->saveInto($member);
        $member->write();
        Director::redirect('thanks');
    }


    function thanks() {
        return array(
            "Form" => DataObject::get_one("ForumHolder")->ProfileModify
        );
    }

    function URLSegment() {
        return $this->ForumHolder()->URLSegment();
    }
}